Browse Source

Sync with portage [Tue Dec 22 09:11:38 MSK 2020].

master 1832
Calculate Linux 2 years ago
parent
commit
98470bf4c1
  1. BIN
      Manifest.files.gz
  2. BIN
      acct-group/Manifest.gz
  3. 5
      acct-group/simplevirt/metadata.xml
  4. BIN
      acct-user/Manifest.gz
  5. 1
      acct-user/etcd/etcd-0.ebuild
  6. BIN
      app-admin/Manifest.gz
  7. 2
      app-admin/entr/entr-4.6.ebuild
  8. BIN
      app-arch/Manifest.gz
  9. 2
      app-arch/pixz/pixz-1.0.7.ebuild
  10. 2
      app-arch/zstd/zstd-1.4.5.ebuild
  11. BIN
      app-backup/Manifest.gz
  12. 4
      app-backup/tarsnap/metadata.xml
  13. BIN
      app-editors/Manifest.gz
  14. 378
      app-editors/gvim/gvim-8.2.0814-r100.ebuild
  15. 25
      app-editors/gvim/gvim-9999.ebuild
  16. 11
      app-editors/texworks/files/texworks-0.6.5-cmake_lua_version.patch
  17. 80
      app-editors/texworks/texworks-0.6.5-r100.ebuild
  18. 329
      app-editors/vim/vim-8.2.0814-r100.ebuild
  19. 27
      app-editors/vim/vim-9999.ebuild
  20. BIN
      app-emulation/Manifest.gz
  21. 1
      app-emulation/s6-overlay/Manifest
  22. 61
      app-emulation/s6-overlay/s6-overlay-2.1.0.2-r1.ebuild
  23. 5
      app-emulation/simplevirt/metadata.xml
  24. 2
      app-emulation/xen-tools/xen-tools-4.13.2-r2.ebuild
  25. 2
      app-emulation/xen/xen-4.13.2-r3.ebuild
  26. BIN
      app-metrics/Manifest.gz
  27. 39
      app-metrics/nginx-lua-prometheus/nginx-lua-prometheus-0.1_pre20170610-r100.ebuild
  28. BIN
      app-office/Manifest.gz
  29. 2
      app-office/scribus/scribus-1.5.6.1.ebuild
  30. BIN
      app-portage/Manifest.gz
  31. 7
      app-portage/distpatch/metadata.xml
  32. 4
      app-portage/g-octave/metadata.xml
  33. BIN
      app-text/Manifest.gz
  34. 5
      app-text/blogc/metadata.xml
  35. 2
      app-text/dvipng/dvipng-1.17.ebuild
  36. 93
      app-text/highlight/highlight-3.57.ebuild
  37. 5
      app-text/peg-markdown/metadata.xml
  38. BIN
      dev-db/Manifest.gz
  39. 3
      dev-db/percona-server/files/my.cnf-5.7
  40. 2
      dev-db/pgbouncer/pgbouncer-1.15.0.ebuild
  41. 2
      dev-db/pspg/pspg-3.1.5.ebuild
  42. 164
      dev-db/redis/redis-6.0.9-r100.ebuild
  43. BIN
      dev-embedded/Manifest.gz
  44. 5
      dev-embedded/cpik/metadata.xml
  45. 5
      dev-embedded/nodemcu-uploader/metadata.xml
  46. BIN
      dev-games/Manifest.gz
  47. 14
      dev-games/openscenegraph/files/openscenegraph-3.6.5-cmake_lua_version.patch
  48. 159
      dev-games/openscenegraph/openscenegraph-3.6.5-r100.ebuild
  49. BIN
      dev-lang/Manifest.gz
  50. 1
      dev-lang/mujs/metadata.xml
  51. 4
      dev-lang/rust/rust-1.48.0.ebuild
  52. 18
      dev-lang/spidermonkey/spidermonkey-78.6.0.ebuild
  53. BIN
      dev-libs/Manifest.gz
  54. 1
      dev-libs/botan/Manifest
  55. 130
      dev-libs/botan/botan-2.17.3.ebuild
  56. 5
      dev-libs/fcgi/metadata.xml
  57. 1
      dev-libs/fstrm/Manifest
  58. 35
      dev-libs/fstrm/fstrm-0.3.0.ebuild
  59. 2
      dev-libs/fstrm/fstrm-0.6.0.ebuild
  60. 2
      dev-libs/gmp/gmp-6.2.1.ebuild
  61. 2
      dev-libs/isl/isl-0.23-r1.ebuild
  62. 8
      dev-libs/keybinder/keybinder-0.3.1-r201.ebuild
  63. 2
      dev-libs/libcbor/libcbor-0.8.0.ebuild
  64. 2
      dev-libs/libfido2/libfido2-1.5.0-r1.ebuild
  65. 2
      dev-libs/libfilezilla/libfilezilla-0.25.0.ebuild
  66. 2
      dev-libs/libmowgli/libmowgli-2.1.3-r2.ebuild
  67. 2
      dev-libs/libpipeline/libpipeline-1.5.3.ebuild
  68. 2
      dev-libs/libverto/libverto-0.3.1.ebuild
  69. 2
      dev-libs/log4cplus/log4cplus-1.2.0.ebuild
  70. 190
      dev-libs/redland-bindings/redland-bindings-1.0.17.1-r100.ebuild
  71. 2
      dev-libs/rocclr/Manifest
  72. 44
      dev-libs/rocclr/rocclr-4.0.0.ebuild
  73. 1
      dev-libs/rocm-comgr/Manifest
  74. 42
      dev-libs/rocm-comgr/rocm-comgr-4.0.0.ebuild
  75. 1
      dev-libs/rocm-device-libs/Manifest
  76. 38
      dev-libs/rocm-device-libs/rocm-device-libs-4.0.0.ebuild
  77. 1
      dev-libs/rocm-opencl-runtime/Manifest
  78. 69
      dev-libs/rocm-opencl-runtime/rocm-opencl-runtime-4.0.0.ebuild
  79. 1
      dev-libs/rocr-runtime/Manifest
  80. 46
      dev-libs/rocr-runtime/rocr-runtime-4.0.0.ebuild
  81. 1
      dev-libs/roct-thunk-interface/Manifest
  82. 35
      dev-libs/roct-thunk-interface/roct-thunk-interface-4.0.0.ebuild
  83. 5
      dev-libs/squareball/metadata.xml
  84. 2
      dev-libs/vc/vc-1.4.1.ebuild
  85. 340
      dev-libs/xapian-bindings/xapian-bindings-1.4.17-r100.ebuild
  86. BIN
      dev-python/Manifest.gz
  87. 2
      dev-python/ansi2html/ansi2html-1.6.0.ebuild
  88. 1
      dev-python/asgiref/Manifest
  89. 23
      dev-python/asgiref/asgiref-3.3.0.ebuild
  90. 2
      dev-python/asgiref/asgiref-3.3.1.ebuild
  91. 1
      dev-python/aws-sam-translator/Manifest
  92. 44
      dev-python/aws-sam-translator/aws-sam-translator-1.29.0.ebuild
  93. 2
      dev-python/aws-sam-translator/aws-sam-translator-1.30.1.ebuild
  94. 4
      dev-python/boto3/Manifest
  95. 56
      dev-python/boto3/boto3-1.16.16.ebuild
  96. 2
      dev-python/boto3/boto3-1.16.23.ebuild
  97. 56
      dev-python/boto3/boto3-1.16.37.ebuild
  98. 56
      dev-python/boto3/boto3-1.16.38.ebuild
  99. 56
      dev-python/boto3/boto3-1.16.39.ebuild
  100. 4
      dev-python/botocore/Manifest

BIN
Manifest.files.gz

BIN
acct-group/Manifest.gz

5
acct-group/simplevirt/metadata.xml

@ -1,8 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>rafaelmartins@gentoo.org</email>
<name>Rafael G. Martins</name>
</maintainer>
<!-- maintainer-needed -->
</pkgmetadata>

BIN
acct-user/Manifest.gz

1
acct-user/etcd/etcd-0.ebuild

@ -7,6 +7,7 @@ inherit acct-user
DESCRIPTION="User for etcd"
ACCT_USER_HOME=/var/lib/etcd
ACCT_USER_HOME_PERMS=700
ACCT_USER_ID=426
ACCT_USER_GROUPS=( etcd )

BIN
app-admin/Manifest.gz

2
app-admin/entr/entr-4.6.ebuild

@ -11,7 +11,7 @@ SRC_URI="http://entrproject.org/code/${P}.tar.gz"
LICENSE="ISC"
SLOT="0"
KEYWORDS="amd64 ~ppc ~ppc64 x86"
KEYWORDS="amd64 ppc ppc64 x86"
IUSE="test"
RESTRICT="!test? ( test )"

BIN
app-arch/Manifest.gz

2
app-arch/pixz/pixz-1.0.7.ebuild

@ -10,7 +10,7 @@ if [[ ${PV} == "9999" ]] ; then
inherit git-r3 autotools
else
SRC_URI="https://github.com/vasi/pixz/releases/download/v${PV}/${P}.tar.xz"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~mips ppc ~ppc64 s390 ~sparc x86"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 s390 ~sparc x86"
fi
DESCRIPTION="Parallel Indexed XZ compressor"

2
app-arch/zstd/zstd-1.4.5.ebuild

@ -11,7 +11,7 @@ SRC_URI="https://github.com/facebook/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="|| ( BSD GPL-2 )"
SLOT="0/1"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="lz4 static-libs +threads"
RDEPEND="app-arch/xz-utils

BIN
app-backup/Manifest.gz

4
app-backup/tarsnap/metadata.xml

@ -2,7 +2,7 @@
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>rafaelmartins@gentoo.org</email>
<name>Rafael G. Martins</name>
<email>whissi@gentoo.org</email>
<name>Thomas Deutschmann</name>
</maintainer>
</pkgmetadata>

BIN
app-editors/Manifest.gz

378
app-editors/gvim/gvim-8.2.0814-r100.ebuild

@ -0,0 +1,378 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
VIM_VERSION="8.2"
LUA_COMPAT=( lua5-1 luajit )
PYTHON_COMPAT=( python3_{6,7,8} )
PYTHON_REQ_USE="threads(+)"
USE_RUBY="ruby24 ruby25 ruby26 ruby27"
inherit vim-doc flag-o-matic xdg-utils bash-completion-r1 prefix lua-single python-single-r1 ruby-single
if [[ ${PV} == 9999* ]]; then
inherit git-r3
EGIT_REPO_URI="https://github.com/vim/vim.git"
EGIT_CHECKOUT_DIR=${WORKDIR}/vim-${PV}
else
SRC_URI="https://github.com/vim/vim/archive/v${PV}.tar.gz -> vim-${PV}.tar.gz
https://dev.gentoo.org/~zlogene/distfiles/app-editors/vim/vim-8.2.0360-gentoo-patches.tar.xz"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x86-solaris"
fi
DESCRIPTION="GUI version of the Vim text editor"
HOMEPAGE="https://vim.sourceforge.io/ https://github.com/vim/vim"
SLOT="0"
LICENSE="vim"
IUSE="acl aqua cscope debug gtk gtk2 lua motif neXt netbeans nls perl python racket ruby selinux session sound tcl"
REQUIRED_USE="
lua? ( ${LUA_REQUIRED_USE} )
python? ( ${PYTHON_REQUIRED_USE} )
"
RDEPEND="
~app-editors/vim-core-${PV}
>=app-eselect/eselect-vi-1.1
>=sys-libs/ncurses-5.2-r2:0=
x11-libs/libICE
x11-libs/libSM
x11-libs/libXext
x11-libs/libXt
acl? ( kernel_linux? ( sys-apps/acl ) )
!aqua? (
gtk? (
x11-libs/gtk+:3
x11-libs/libXft
)
!gtk? (
gtk2? (
>=x11-libs/gtk+-2.6:2
x11-libs/libXft
)
!gtk2? (
motif? ( >=x11-libs/motif-2.3:0 )
!motif? (
neXt? ( x11-libs/neXtaw )
!neXt? ( x11-libs/libXaw )
)
)
)
)
cscope? ( dev-util/cscope )
lua? (
${LUA_DEPS}
$(lua_gen_impl_dep 'deprecated' lua5-1)
)
nls? ( virtual/libintl )
perl? ( dev-lang/perl:= )
python? ( ${PYTHON_DEPS} )
racket? ( dev-scheme/racket )
ruby? ( ${RUBY_DEPS} )
selinux? ( sys-libs/libselinux )
session? ( x11-libs/libSM )
sound? ( media-libs/libcanberra )
tcl? ( dev-lang/tcl:0= )
"
DEPEND="${RDEPEND}
sys-devel/autoconf
virtual/pkgconfig
nls? ( sys-devel/gettext )
"
# configure runs the Lua interpreter
BDEPEND="lua? ( ${LUA_DEPS} )"
# various failures (bugs #630042 and #682320)
RESTRICT="test"
S=${WORKDIR}/vim-${PV}
pkg_setup() {
# people with broken alphabets run into trouble. bug 82186.
unset LANG LC_ALL
export LC_COLLATE="C"
# Gnome sandbox silliness. bug #114475.
mkdir -p "${T}"/home || die
export HOME="${T}"/home
use lua && lua-single_pkg_setup
use python && python-single-r1_pkg_setup
}
src_prepare() {
if [[ ${PV} != 9999* ]]; then
# Gentoo patches to fix runtime issues, cross-compile errors, etc
eapply "${WORKDIR}"/patches/
fi
# Fixup a script to use awk instead of nawk
sed -i -e \
'1s|.*|#!'"${EPREFIX}"'/usr/bin/awk -f|' \
"${S}"/runtime/tools/mve.awk || die "mve.awk sed failed"
# Read vimrc and gvimrc from /etc/vim
echo '#define SYS_VIMRC_FILE "'${EPREFIX}'/etc/vim/vimrc"' \
>> "${S}"/src/feature.h || die "echo failed"
echo '#define SYS_GVIMRC_FILE "'${EPREFIX}'/etc/vim/gvimrc"' \
>> "${S}"/src/feature.h || die "echo failed"
# Use exuberant ctags which installs as /usr/bin/exuberant-ctags.
# Hopefully this pattern won't break for a while at least.
# This fixes bug 29398 (27 Sep 2003 agriffis)
sed -i -e \
's/\<ctags\("\| [-*.]\)/exuberant-&/g' \
"${S}"/runtime/doc/syntax.txt \
"${S}"/runtime/doc/tagsrch.txt \
"${S}"/runtime/doc/usr_29.txt \
"${S}"/runtime/menu.vim \
"${S}"/src/configure.ac || die 'sed failed'
# Don't be fooled by /usr/include/libc.h. When found, vim thinks
# this is NeXT, but it's actually just a file in dev-libs/9libs
# This fixes bug 43885 (20 Mar 2004 agriffis)
sed -i -e \
's/ libc\.h / /' "${S}"/src/configure.ac || die 'sed failed'
# gcc on sparc32 has this, uhm, interesting problem with detecting EOF
# correctly. To avoid some really entertaining error messages about stuff
# which isn't even in the source file being invalid, we'll do some trickery
# to make the error never occur. bug 66162 (02 October 2004 ciaranm)
find "${S}" -name '*.c' | while read c; do
echo >> "$c" || die "echo failed"
done
# Try to avoid sandbox problems. Bug #114475.
if [[ -d "${S}"/src/po ]]; then
sed -i -e \
'/-S check.vim/s,..VIM.,ln -s $(VIM) testvim \; ./testvim -X,' \
"${S}"/src/po/Makefile || die
fi
cp -v "${S}"/src/config.mk.dist "${S}"/src/auto/config.mk || die "cp failed"
# Bug #378107 - Build properly with >=perl-core/ExtUtils-ParseXS-3.20.0
sed -i -e \
"s:\\\$(PERLLIB)/ExtUtils/xsubpp:${EPREFIX}/usr/bin/xsubpp:" \
"${S}"/src/Makefile || die 'sed for ExtUtils-ParseXS failed'
eapply_user
}
src_configure() {
local myconf=()
# Fix bug 37354: Disallow -funroll-all-loops on amd64
# Bug 57859 suggests that we want to do this for all archs
filter-flags -funroll-all-loops
# Fix bug 76331: -O3 causes problems, use -O2 instead. We'll do this for
# everyone since previous flag filtering bugs have turned out to affect
# multiple archs...
replace-flags -O3 -O2
# Fix bug 18245: Prevent "make" from the following chain:
# (1) Notice configure.ac is newer than auto/configure
# (2) Rebuild auto/configure
# (3) Notice auto/configure is newer than auto/config.mk
# (4) Run ./configure (with wrong args) to remake auto/config.mk
sed -i -e \
's# auto/config\.mk:#:#' src/Makefile || die "Makefile sed failed"
rm -v src/auto/configure || die "rm failed"
emake -j1 -C src autoconf
# This should fix a sandbox violation (see bug 24447). The hvc
# things are for ppc64, see bug 86433.
local file
for file in /dev/pty/s* /dev/console /dev/hvc/* /dev/hvc*; do
if [[ -e ${file} ]]; then
addwrite $file
fi
done
use debug && append-flags "-DDEBUG"
myconf=(
--with-features=huge
--disable-gpm
--with-gnome=no
$(use_enable sound canberra)
$(use_enable acl)
$(use_enable cscope)
$(use_enable netbeans)
$(use_enable nls)
$(use_enable perl perlinterp)
$(use_enable python python3interp)
$(use_with python python3-command "${PYTHON}")
$(use_enable racket mzschemeinterp)
$(use_enable ruby rubyinterp)
$(use_enable selinux)
$(use_enable session xsmp)
$(use_enable tcl tclinterp)
)
# --with-features=huge forces on cscope even if we --disable it. We need
# to sed this out to avoid screwiness. (1 Sep 2004 ciaranm)
if ! use cscope; then
sed -i -e \
'/# define FEAT_CSCOPE/d' src/feature.h || die "couldn't disable cscope"
fi
if use lua; then
myconf+=(
--enable-luainterp
$(use_with lua_single_target_luajit luajit)
--with-lua-prefix="${EPREFIX}/usr"
)
fi
# gvim's GUI preference order is as follows:
# aqua CARBON (not tested)
# -aqua gtk GTK3
# -aqua -gtk gtk2 GTK2
# -aqua -gtk -gtk motif MOTIF
# -aqua -gtk -gtk -motif neXt NEXTAW
# -aqua -gtk -gtk -motif -neXt ATHENA
echo ; echo
if use aqua; then
einfo "Building gvim with the Carbon GUI"
myconf+=(
--enable-darwin
--enable-gui=carbon
)
elif use gtk; then
myconf+=( --enable-gtk3-check )
einfo "Building gvim with the gtk+-3 GUI"
myconf+=( --enable-gui=gtk3 )
elif use gtk2; then
myconf+=( --enable-gtk2-check )
einfo "Building gvim with the gtk+-2 GUI"
myconf+=( --enable-gui=gtk2 )
elif use motif; then
einfo "Building gvim with the MOTIF GUI"
myconf+=( --enable-gui=motif )
elif use neXt; then
einfo "Building gvim with the neXtaw GUI"
myconf+=( --enable-gui=nextaw )
else
einfo "Building gvim with the Athena GUI"
myconf+=( --enable-gui=athena )
fi
echo ; echo
# let package manager strip binaries
export ac_cv_prog_STRIP="$(type -P true ) faking strip"
# keep prefix env contained within the EPREFIX
use prefix && myconf+=( --without-local-dir )
if [[ ${CHOST} == *-interix* ]]; then
# avoid finding of this function, to avoid having to patch either
# configure or the source, which would be much more hackish.
# after all vim does it right, only interix is badly broken (again)
export ac_cv_func_sigaction=no
fi
econf \
--with-modified-by=Gentoo-${PVR} \
--with-vim-name=gvim \
--with-x \
"${myconf[@]}"
}
src_compile() {
# The following allows emake to be used
emake -j1 -C src auto/osdef.h objects
emake
}
src_test() {
einfo
einfo "Starting vim tests. Several error messages will be shown"
einfo "while the tests run. This is normal behaviour and does not"
einfo "indicate a fault."
einfo
ewarn "If the tests fail, your terminal may be left in a strange"
ewarn "state. Usually, running 'reset' will fix this."
einfo
# Don't let vim talk to X
unset DISPLAY
# Make gvim not try to connect to X. See :help gui-x11-start in vim for how
# this evil trickery works.
ln -s "${S}"/src/gvim "${S}"/src/testvim || die
# Make sure our VIMPROG is used.
sed -i -e 's:\.\./vim:../testvim:' src/testdir/test49.vim || die
# Don't do additional GUI tests.
emake -j1 VIMPROG=../testvim -C src/testdir nongui
}
# Call eselect vi update with --if-unset
# to respect user's choice (bug 187449)
eselect_vi_update() {
einfo "Calling eselect vi update..."
eselect vi update --if-unset
eend $?
}
src_install() {
local vimfiles=/usr/share/vim/vim${VIM_VERSION/.}
dobin src/gvim
dosym gvim /usr/bin/gvimdiff
dosym gvim /usr/bin/evim
dosym gvim /usr/bin/eview
dosym gvim /usr/bin/gview
dosym gvim /usr/bin/rgvim
dosym gvim /usr/bin/rgview
emake -C src DESTDIR="${D}" DATADIR="${EPREFIX}"/usr/share install-icons
dodir /usr/share/man/man1
echo ".so vim.1" > "${ED}"/usr/share/man/man1/gvim.1 || die "echo failed"
echo ".so vim.1" > "${ED}"/usr/share/man/man1/gview.1 || die "echo failed"
echo ".so vimdiff.1" > "${ED}"/usr/share/man/man1/gvimdiff.1 || \
die "echo failed"
insinto /etc/vim
newins "${FILESDIR}"/gvimrc-r1 gvimrc
eprefixify "${ED}"/etc/vim/gvimrc
# bash completion script, bug #79018.
newbashcomp "${FILESDIR}"/${PN}-completion ${PN}
# don't install vim desktop file
rm -v "${ED}"/usr/share/applications/vim.desktop || die "failed to remove vim.desktop"
}
pkg_postinst() {
# update documentation tags (from vim-doc.eclass)
update_vim_helptags
# update fdo mime stuff, bug #78394
xdg_desktop_database_update
# update icon cache
xdg_icon_cache_update
# call eselect vi update
eselect_vi_update
}
pkg_postrm() {
# update documentation tags (from vim-doc.eclass)
update_vim_helptags
# update fdo mime stuff, bug #78394
xdg_desktop_database_update
# update icon cache
xdg_icon_cache_update
# call eselect vi update
eselect_vi_update
}

25
app-editors/gvim/gvim-9999.ebuild

@ -3,11 +3,12 @@
EAPI=7
VIM_VERSION="8.2"
LUA_COMPAT=( lua5-1 luajit )
PYTHON_COMPAT=( python3_{6,7,8} )
PYTHON_REQ_USE="threads(+)"
USE_RUBY="ruby24 ruby25 ruby26 ruby27"
inherit vim-doc flag-o-matic xdg-utils bash-completion-r1 prefix python-single-r1 ruby-single
inherit vim-doc flag-o-matic xdg-utils bash-completion-r1 prefix lua-single python-single-r1 ruby-single
if [[ ${PV} == 9999* ]]; then
inherit git-r3
@ -24,8 +25,9 @@ HOMEPAGE="https://vim.sourceforge.io/ https://github.com/vim/vim"
SLOT="0"
LICENSE="vim"
IUSE="acl aqua cscope debug gtk gtk2 lua luajit motif neXt netbeans nls perl python racket ruby selinux session sound tcl"
IUSE="acl aqua cscope debug gtk gtk2 lua motif neXt netbeans nls perl python racket ruby selinux session sound tcl"
REQUIRED_USE="
lua? ( ${LUA_REQUIRED_USE} )
python? ( ${PYTHON_REQUIRED_USE} )
"
@ -59,8 +61,8 @@ RDEPEND="
)
cscope? ( dev-util/cscope )
lua? (
luajit? ( dev-lang/luajit:2= )
!luajit? ( dev-lang/lua:0[deprecated] )
${LUA_DEPS}
$(lua_gen_impl_dep 'deprecated' lua5-1)
)
nls? ( virtual/libintl )
perl? ( dev-lang/perl:= )
@ -77,6 +79,8 @@ DEPEND="${RDEPEND}
virtual/pkgconfig
nls? ( sys-devel/gettext )
"
# configure runs the Lua interpreter
BDEPEND="lua? ( ${LUA_DEPS} )"
# various failures (bugs #630042 and #682320)
RESTRICT="test"
@ -92,6 +96,7 @@ pkg_setup() {
mkdir -p "${T}"/home || die
export HOME="${T}"/home
use lua && lua-single_pkg_setup
use python && python-single-r1_pkg_setup
}
@ -194,13 +199,11 @@ src_configure() {
$(use_enable sound canberra)
$(use_enable acl)
$(use_enable cscope)
$(use_enable lua luainterp)
$(use_with luajit)
$(use_enable netbeans)
$(use_enable nls)
$(use_enable perl perlinterp)
$(use_enable python python3interp)
$(use_with python python3-command $(type -P $(eselect python show --python3)))
$(use_with python python3-command "${PYTHON}")
$(use_enable racket mzschemeinterp)
$(use_enable ruby rubyinterp)
$(use_enable selinux)
@ -215,6 +218,14 @@ src_configure() {
'/# define FEAT_CSCOPE/d' src/feature.h || die "couldn't disable cscope"
fi
if use lua; then
myconf+=(
--enable-luainterp
$(use_with lua_single_target_luajit luajit)
--with-lua-prefix="${EPREFIX}/usr"
)
fi
# gvim's GUI preference order is as follows:
# aqua CARBON (not tested)
# -aqua gtk GTK3

11
app-editors/texworks/files/texworks-0.6.5-cmake_lua_version.patch

@ -0,0 +1,11 @@
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -297,7 +297,7 @@
# -------------------------------
IF ( WITH_LUA )
- FIND_PACKAGE(Lua)
+ FIND_PACKAGE(Lua ${LUA_VERSION} EXACT REQUIRED)
ENDIF()
IF ( WITH_PYTHON )

80
app-editors/texworks/texworks-0.6.5-r100.ebuild

@ -0,0 +1,80 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
LUA_COMPAT=( lua5-{1..3} )
PYTHON_COMPAT=( python{3_6,3_7} )
inherit lua-single python-single-r1 cmake virtualx xdg-utils
DESCRIPTION="A simple interface for working with TeX documents"
HOMEPAGE="http://tug.org/texworks/"
SRC_URI="https://github.com/TeXworks/texworks/archive/release-${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="lua python"
REQUIRED_USE="lua? ( ${LUA_REQUIRED_USE} )
python? ( ${PYTHON_REQUIRED_USE} )"
RDEPEND="app-text/hunspell:=
app-text/poppler[qt5]
dev-qt/designer:5
dev-qt/qtcore:5
dev-qt/qtconcurrent:5
dev-qt/qtdbus:5
dev-qt/qtgui:5
dev-qt/qtscript:5[scripttools]
lua? ( ${LUA_DEPS} )
python? ( ${PYTHON_DEPS} ) "
DEPEND="dev-qt/linguist-tools:5
${RDEPEND}"
BDEPEND="virtual/pkgconfig"
PATCHES=(
"${FILESDIR}"/qt5.15-support.patch
"${FILESDIR}"/${PN}-0.6.5-cmake_lua_version.patch
)
S=${WORKDIR}/${PN}-release-${PV}
RESTRICT="!test? ( test )"
CMAKE_REMOVE_MODULES_LIST="FindLua"
pkg_setup() {
use lua && lua-single_pkg_setup
python-single-r1_pkg_setup
}
src_configure() {
local mycmakeargs=(
-Wno-dev
-DPREFER_BUNDLED_SYNCTEX=ON
-DWITH_LUA=$(usex lua ON OFF)
-DWITH_PYTHON=$(usex python ON OFF)
-DTeXworks_PLUGIN_DIR="/usr/$(get_libdir)/texworks"
-DTeXworks_DOCS_DIR="/share/doc/${PF}"
-DQTPDF_VIEWER=ON
-DBUILD_SHARED_LIBS=ON
-DBUILD_SHARED_PLUGINS=ON
)
use lua && mycmakeargs+=( -DLUA_VERSION="$(lua_get_version)" )
cmake_src_configure
}
src_test() {
virtx default_src_test
}
pkg_postinst() {
xdg_desktop_database_update
}
pkg_postrm() {
xdg_desktop_database_update
}

329
app-editors/vim/vim-8.2.0814-r100.ebuild

@ -0,0 +1,329 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
VIM_VERSION="8.2"
LUA_COMPAT=( lua5-1 luajit )
PYTHON_COMPAT=( python3_{6,7,8} )
PYTHON_REQ_USE="threads(+)"
USE_RUBY="ruby24 ruby25 ruby26 ruby27"
inherit vim-doc flag-o-matic bash-completion-r1 lua-single python-single-r1 ruby-single desktop xdg-utils
if [[ ${PV} == 9999* ]] ; then
inherit git-r3
EGIT_REPO_URI="https://github.com/vim/vim.git"
else
SRC_URI="https://github.com/vim/vim/archive/v${PV}.tar.gz -> ${P}.tar.gz
https://dev.gentoo.org/~zlogene/distfiles/app-editors/vim/vim-8.2.0360-gentoo-patches.tar.xz"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
fi
DESCRIPTION="Vim, an improved vi-style text editor"
HOMEPAGE="https://vim.sourceforge.io/ https://github.com/vim/vim"
SLOT="0"
LICENSE="vim"
IUSE="X acl cscope debug gpm lua minimal nls perl python racket ruby selinux sound tcl terminal vim-pager"
REQUIRED_USE="
lua? ( ${LUA_REQUIRED_USE} )
python? ( ${PYTHON_REQUIRED_USE} )
vim-pager? ( !minimal )
"
RDEPEND="
>=app-eselect/eselect-vi-1.1
>=sys-libs/ncurses-5.2-r2:0=
nls? ( virtual/libintl )
acl? ( kernel_linux? ( sys-apps/acl ) )
cscope? ( dev-util/cscope )
gpm? ( >=sys-libs/gpm-1.19.3 )
lua? ( ${LUA_DEPS}
$(lua_gen_impl_dep 'deprecated' lua5-1)
)
!minimal? ( ~app-editors/vim-core-${PV} )
vim-pager? ( app-editors/vim-core[-minimal] )
perl? ( dev-lang/perl:= )
python? ( ${PYTHON_DEPS} )
racket? ( dev-scheme/racket )
ruby? ( ${RUBY_DEPS} )
selinux? ( sys-libs/libselinux )
sound? ( media-libs/libcanberra )
tcl? ( dev-lang/tcl:0= )
X? ( x11-libs/libXt )
"
DEPEND="
${RDEPEND}
sys-devel/autoconf
nls? ( sys-devel/gettext )
"
# configure runs the Lua interpreter
BDEPEND="lua? ( ${LUA_DEPS} )"
pkg_setup() {
# people with broken alphabets run into trouble. bug 82186.
unset LANG LC_ALL
export LC_COLLATE="C"
# Gnome sandbox silliness. bug #114475.
mkdir -p "${T}"/home || die "mkdir failed"
export HOME="${T}"/home
use lua && lua-single_pkg_setup
use python && python-single-r1_pkg_setup
}
src_prepare() {
if [[ ${PV} != 9999* ]] ; then
# Gentoo patches to fix runtime issues, cross-compile errors, etc
eapply "${WORKDIR}"/patches/
fi
# Fixup a script to use awk instead of nawk
sed -i -e \
'1s|.*|#!'"${EPREFIX}"'/usr/bin/awk -f|' \
"${S}"/runtime/tools/mve.awk || die "mve.awk sed failed"
# Read vimrc and gvimrc from /etc/vim
echo '#define SYS_VIMRC_FILE "'${EPREFIX}'/etc/vim/vimrc"' \
>> "${S}"/src/feature.h || die "echo failed"
echo '#define SYS_GVIMRC_FILE "'${EPREFIX}'/etc/vim/gvimrc"' \
>> "${S}"/src/feature.h || die "echo failed"
# Use exuberant ctags which installs as /usr/bin/exuberant-ctags.
# Hopefully this pattern won't break for a while at least.
# This fixes bug 29398 (27 Sep 2003 agriffis)
sed -i -e \
's/\<ctags\("\| [-*.]\)/exuberant-&/g' \
"${S}"/runtime/doc/syntax.txt \
"${S}"/runtime/doc/tagsrch.txt \
"${S}"/runtime/doc/usr_29.txt \
"${S}"/runtime/menu.vim \
"${S}"/src/configure.ac || die 'sed failed'
# Don't be fooled by /usr/include/libc.h. When found, vim thinks
# this is NeXT, but it's actually just a file in dev-libs/9libs
# This fixes bug 43885 (20 Mar 2004 agriffis)
sed -i -e \
's/ libc\.h / /' \
"${S}"/src/configure.ac || die 'sed failed'
# gcc on sparc32 has this, uhm, interesting problem with detecting EOF
# correctly. To avoid some really entertaining error messages about stuff
# which isn't even in the source file being invalid, we'll do some trickery
# to make the error never occur. bug 66162 (02 October 2004 ciaranm)
find "${S}" -name '*.c' | while read c; do
echo >> "$c" || die "echo failed"
done
# conditionally make the manpager.sh script
if use vim-pager; then
cat > "${S}"/runtime/macros/manpager.sh <<-_EOF_ || die "cat EOF failed"
#!/bin/sh
sed -e 's/\x1B\[[[:digit:]]\+m//g' | col -b | \\
vim \\
-c 'let no_plugin_maps = 1' \\
-c 'set nolist nomod ft=man ts=8' \\
-c 'let g:showmarks_enable=0' \\
-c 'runtime! macros/less.vim' -
_EOF_
fi
# Try to avoid sandbox problems. Bug #114475.
if [[ -d "${S}"/src/po ]]; then
sed -i -e \
'/-S check.vim/s,..VIM.,ln -s $(VIM) testvim \; ./testvim -X,' \
"${S}"/src/po/Makefile || die "sed failed"
fi
cp -v "${S}"/src/config.mk.dist "${S}"/src/auto/config.mk || die "cp failed"
sed -i -e \
"s:\\\$(PERLLIB)/ExtUtils/xsubpp:${EPREFIX}/usr/bin/xsubpp:" \
"${S}"/src/Makefile || die 'sed for ExtUtils-ParseXS failed'
eapply_user
}
src_configure() {
local myconf=()
# Fix bug 37354: Disallow -funroll-all-loops on amd64
# Bug 57859 suggests that we want to do this for all archs
filter-flags -funroll-all-loops
# Fix bug 76331: -O3 causes problems, use -O2 instead. We'll do this for
# everyone since previous flag filtering bugs have turned out to affect
# multiple archs...
replace-flags -O3 -O2
# Fix bug 18245: Prevent "make" from the following chain:
# (1) Notice configure.ac is newer than auto/configure
# (2) Rebuild auto/configure
# (3) Notice auto/configure is newer than auto/config.mk
# (4) Run ./configure (with wrong args) to remake auto/config.mk
sed -i 's# auto/config\.mk:#:#' src/Makefile || die "Makefile sed failed"
rm src/auto/configure || die "rm failed"
emake -j1 -C src autoconf
# This should fix a sandbox violation (see bug 24447). The hvc
# things are for ppc64, see bug 86433.
for file in /dev/pty/s* /dev/console /dev/hvc/* /dev/hvc*; do
if [[ -e "${file}" ]]; then
addwrite $file
fi
done
if use minimal; then
myconf=(
--with-features=tiny
--disable-nls
--disable-canberra
--disable-acl
--enable-gui=no
--without-x
--disable-darwin
--disable-luainterp
--disable-perlinterp
--disable-pythoninterp
--disable-mzschemeinterp
--disable-rubyinterp
--disable-selinux
--disable-tclinterp
--disable-gpm
)
else
use debug && append-flags "-DDEBUG"
myconf=(
--with-features=huge
$(use_enable sound canberra)
$(use_enable acl)
$(use_enable cscope)
$(use_enable gpm)
$(use_enable nls)
$(use_enable perl perlinterp)
$(use_enable python python3interp)
$(use_with python python3-command "${PYTHON}")
$(use_enable racket mzschemeinterp)
$(use_enable ruby rubyinterp)
$(use_enable selinux)
$(use_enable tcl tclinterp)
$(use_enable terminal)
)
# --with-features=huge forces on cscope even if we --disable it. We need
# to sed this out to avoid screwiness. (1 Sep 2004 ciaranm)
if ! use cscope; then
sed -i -e \
'/# define FEAT_CSCOPE/d' src/feature.h || die "sed failed"
fi
if use lua; then
myconf+=(
--enable-luainterp
$(use_with lua_single_target_luajit luajit)
--with-lua-prefix="${EPREFIX}/usr"
)
fi
# don't test USE=X here ... see bug #19115
# but need to provide a way to link against X ... see bug #20093
myconf+=(
--enable-gui=no
--disable-darwin
$(use_with X x)
)
fi
# let package manager strip binaries
export ac_cv_prog_STRIP="$(type -P true ) faking strip"
# keep prefix env contained within the EPREFIX
use prefix && myconf+=( --without-local-dir )
econf \
--with-modified-by=Gentoo-${PVR} \
"${myconf[@]}"
}
src_compile() {
# The following allows emake to be used
emake -j1 -C src auto/osdef.h objects
emake
}
src_test() {
einfo
einfo "Starting vim tests. Several error messages will be shown"
einfo "while the tests run. This is normal behaviour and does not"
einfo "indicate a fault."
einfo
ewarn "If the tests fail, your terminal may be left in a strange"
ewarn "state. Usually, running 'reset' will fix this."
einfo
# Don't let vim talk to X
unset DISPLAY
emake -j1 -C src/testdir nongui
}
# Call eselect vi update with --if-unset
# to respect user's choice (bug 187449)
eselect_vi_update() {
einfo "Calling eselect vi update..."
eselect vi update --if-unset
eend $?
}
src_install() {
local vimfiles=/usr/share/vim/vim${VIM_VERSION/.}
# Note: Do not install symlinks for 'vi', 'ex', or 'view', as these are
# managed by eselect-vi
dobin src/vim
if ! use minimal ; then
dosym vim /usr/bin/vimdiff
fi
dosym vim /usr/bin/rvim
dosym vim /usr/bin/rview
if use vim-pager ; then
dosym ${vimfiles}/macros/less.sh /usr/bin/vimpager
dosym ${vimfiles}/macros/manpager.sh /usr/bin/vimmanpager
insinto ${vimfiles}/macros
doins runtime/macros/manpager.sh
fperms a+x ${vimfiles}/macros/manpager.sh
fi
domenu runtime/vim.desktop
newbashcomp "${FILESDIR}"/${PN}-completion ${PN}
# keep in sync with 'complete ... -F' list
bashcomp_alias vim ex vi view rvim rview vimdiff
}
pkg_postinst() {
# Update documentation tags (from vim-doc.eclass)
update_vim_helptags
# Call eselect vi update
eselect_vi_update
# update desktop file mime cache
xdg_desktop_database_update
}
pkg_postrm() {
# Update documentation tags (from vim-doc.eclass)
update_vim_helptags
# Call eselect vi update
eselect_vi_update
# update desktop file mime cache
xdg_desktop_database_update
}

27
app-editors/vim/vim-9999.ebuild

@ -3,11 +3,12 @@
EAPI=7
VIM_VERSION="8.2"
LUA_COMPAT=( lua5-1 luajit )
PYTHON_COMPAT=( python3_{6,7,8} )
PYTHON_REQ_USE="threads(+)"
USE_RUBY="ruby24 ruby25 ruby26 ruby27"
inherit vim-doc flag-o-matic bash-completion-r1 python-single-r1 ruby-single desktop xdg-utils
inherit vim-doc flag-o-matic bash-completion-r1 lua-single python-single-r1 ruby-single desktop xdg-utils
if [[ ${PV} == 9999* ]] ; then
inherit git-r3
@ -23,8 +24,9 @@ HOMEPAGE="https://vim.sourceforge.io/ https://github.com/vim/vim"
SLOT="0"
LICENSE="vim"
IUSE="X acl cscope debug gpm lua luajit minimal nls perl python racket ruby selinux sound tcl terminal vim-pager"
IUSE="X acl cscope debug gpm lua minimal nls perl python racket ruby selinux sound tcl terminal vim-pager"
REQUIRED_USE="
lua? ( ${LUA_REQUIRED_USE} )
python? ( ${PYTHON_REQUIRED_USE} )
vim-pager? ( !minimal )
"
@ -36,9 +38,8 @@ RDEPEND="
acl? ( kernel_linux? ( sys-apps/acl ) )
cscope? ( dev-util/cscope )
gpm? ( >=sys-libs/gpm-1.19.3 )
lua? (
luajit? ( dev-lang/luajit:2= )
!luajit? ( dev-lang/lua:0[deprecated] )
lua? ( ${LUA_DEPS}
$(lua_gen_impl_dep 'deprecated' lua5-1)
)
!minimal? ( ~app-editors/vim-core-${PV} )
vim-pager? ( app-editors/vim-core[-minimal] )
@ -57,6 +58,8 @@ DEPEND="
sys-devel/autoconf
nls? ( sys-devel/gettext )
"
# configure runs the Lua interpreter
BDEPEND="lua? ( ${LUA_DEPS} )"
pkg_setup() {
# people with broken alphabets run into trouble. bug 82186.
@ -67,6 +70,7 @@ pkg_setup() {
mkdir -p "${T}"/home || die "mkdir failed"
export HOME="${T}"/home
use lua && lua-single_pkg_setup
use python && python-single-r1_pkg_setup
}
@ -198,13 +202,10 @@ src_configure() {
$(use_enable acl)
$(use_enable cscope)
$(use_enable gpm)
$(use_enable lua luainterp)
$(usex lua "--with-lua-prefix=${EPREFIX}/usr" "")
$(use_with luajit)
$(use_enable nls)
$(use_enable perl perlinterp)
$(use_enable python python3interp)
$(use_with python python3-command $(type -P $(eselect python show --python3)))
$(use_with python python3-command "${PYTHON}")
$(use_enable racket mzschemeinterp)
$(use_enable ruby rubyinterp)
$(use_enable selinux)
@ -219,6 +220,14 @@ src_configure() {
'/# define FEAT_CSCOPE/d' src/feature.h || die "sed failed"
fi
if use lua; then
myconf+=(
--enable-luainterp
$(use_with lua_single_target_luajit luajit)
--with-lua-prefix="${EPREFIX}/usr"
)
fi
# don't test USE=X here ... see bug #19115
# but need to provide a way to link against X ... see bug #20093
myconf+=(

BIN
app-emulation/Manifest.gz

1
app-emulation/s6-overlay/Manifest

@ -1 +1,2 @@
DIST s6-overlay-1.18.1.3.tar.gz 20067 BLAKE2B 7006549052fb27c8e7ec2a756854ebd82a41a88e14be45657c375321f4c18f482aefc8d21f1d57d8432ff1b836f114aac75a28b56bdd7722b14de3c06330024d SHA512 2b17b86a93e1efc27181a100bb86aacbce2e2c58cfd0d0855a293b99ba5c871a2f17bd10fa14b173b297816ae2d1658aaee2e6a6e25b957ad60f93d535955775
DIST s6-overlay-2.1.0.2.tar.gz 30688 BLAKE2B 14d631a23be831d9dbc62a7e5ca341320eb8a0f46ae94d243bba4d6ba8fe9f6102dc818555398af64a207ea3056eb2cbbe045b5ec3baaf7d3a058217ad20e4f7 SHA512 6ff18566c64031fca985b36d6cbba646c3fb5c7f16a9d2dcca74e66ed4de5f10399c2142453e550c4e711f716158b91dd5777c7f6a03a91ed61ca9e81d6cef30

61
app-emulation/s6-overlay/s6-overlay-2.1.0.2-r1.ebuild

@ -0,0 +1,61 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
if [[ ${PV} = 9999 ]]; then
EGIT_REPO_URI="https://github.com/just-containers/${PN}"
inherit git-r3
else
SRC_URI="https://github.com/just-containers/${PN}/archive/v${PV}.tar.gz ->
${P}.tar.gz"
KEYWORDS="~amd64"
fi
DESCRIPTION="an s6-based init system for containers"
HOMEPAGE="https://github.com/just-containers/s6-overlay"
LICENSE="ISC"
SLOT="0"
IUSE=""
DEPEND=""
RDEPEND="sys-apps/s6
sys-apps/s6-portable-utils"
src_install() {
dodoc *.md
cd builder/overlay-rootfs
dobin usr/bin/{fix-attrs,logutil*,print*,with*}
insinto /
doins -r etc init
# create must exist directories
dodir /etc/{cont-init.d,cont-finish.d,fix-attrs.d,services.d}
dodir /etc/s6/init/env-stage2
# create "supervise" directory in fdholder, its needed for no-catchall
# stage2 wake up
dodir /etc/s6/services/s6-fdholderd/supervise
fperms 0700 /etc/s6/services/s6-fdholderd/supervise
# fix misc permissions
fperms 0755 /init
fperms 0755 /etc/s6/init/init-stage1 \
/etc/s6/init/init-stage2 \
/etc/s6/init/init-stage2-redirfd \
/etc/s6/init/init-stage3
fperms 0755 /etc/s6/init-catchall/init-stage1 \
/etc/s6/init-catchall/init-stage2
fperms 0755 /etc/s6/init-no-catchall/init-stage1 \
/etc/s6/init-no-catchall/init-stage2
fperms 0755 /etc/s6/services/.s6-svscan/crash
fperms 0755 /etc/s6/services/.s6-svscan/finish
fperms 0755 /etc/s6/services/s6-fdholderd/run
fperms 0755 /etc/s6/services/s6-svscan-log/run
# create a stub for the s6-overlay-preinit setuid program, since
# it's really not needed when permissions are already correct
dosym true /bin/s6-overlay-preinit
}

5
app-emulation/simplevirt/metadata.xml

@ -1,10 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>rafaelmartins@gentoo.org</email>
<name>Rafael G. Martins</name>
</maintainer>
<!-- maintainer-needed -->
<upstream>
<maintainer status="active">
<email>rafael@rafaelmartins.eng.br</email>

2
app-emulation/xen-tools/xen-tools-4.13.2-r2.ebuild

@ -16,7 +16,7 @@ if [[ $PV == *9999 ]]; then
EGIT_REPO_URI="git://xenbits.xen.org/${REPO}"
S="${WORKDIR}/${REPO}"
else
KEYWORDS="~amd64 ~arm ~arm64 ~x86"
KEYWORDS="amd64 ~arm ~arm64 x86"
UPSTREAM_VER=2
SECURITY_VER=29
# xen-tools's gentoo patches tarball

2
app-emulation/xen/xen-4.13.2-r3.ebuild

@ -15,7 +15,7 @@ if [[ $PV == *9999 ]]; then
EGIT_REPO_URI="git://xenbits.xen.org/xen.git"
SRC_URI=""
else
KEYWORDS="~amd64 ~arm -x86"
KEYWORDS="amd64 ~arm -x86"
UPSTREAM_VER=2
SECURITY_VER=
GENTOO_VER=

BIN
app-metrics/Manifest.gz

39
app-metrics/nginx-lua-prometheus/nginx-lua-prometheus-0.1_pre20170610-r100.ebuild

@ -0,0 +1,39 @@
# Copyright 2019-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
# This should be kept in sync with implementations supported
# by www-servers/nginx
LUA_COMPAT=( luajit )
# This is the upstream tag which corresponds to this release.
# It needs to be updated with every bump.
TAG="0.1-20170610"
inherit lua-single
DESCRIPTION="Library that exports Nginx metrics to Prometheus"
HOMEPAGE="https://github.com/knyar/nginx-lua-prometheus"
SRC_URI="https://github.com/knyar/${PN}/archive/${TAG}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"
REQUIRED_USE="${LUA_REQUIRED_USE}"
COMMON_DEPEND="${LUA_DEPS}"
DEPEND="${COMMON_DEPEND}"
RDEPEND="${COMMON_DEPEND}
www-servers/nginx[nginx_modules_http_lua,${LUA_SINGLE_USEDEP}]"
BDEPEND="${COMMON_DEPEND}
virtual/pkgconfig"
S="${WORKDIR}/${PN}-${TAG}"
src_install() {
insinto "$(lua_get_lmod_dir)"/${PN}
doins prometheus.lua
dodoc *.md
}

BIN
app-office/Manifest.gz

2
app-office/scribus/scribus-1.5.6.1.ebuild

@ -14,7 +14,7 @@ SRC_URI="https://github.com/${PN}project/${PN}/archive/${COMMIT}.tar.gz -> ${P}.
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ppc ~ppc64 x86"
KEYWORDS="amd64 ppc ppc64 x86"
IUSE="+boost debug examples graphicsmagick hunspell +minimal osg +pdf scripts +templates tk"
REQUIRED_USE="${PYTHON_REQUIRED_USE}

BIN
app-portage/Manifest.gz

7
app-portage/distpatch/metadata.xml

@ -1,10 +1,7 @@
<?xml version='1.0' encoding='UTF-8'?>
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>rafaelmartins@gentoo.org</email>
<name>Rafael G. Martins</name>
</maintainer>
<!-- maintainer-needed -->
<upstream>
<maintainer status="active">
<email>rafaelmartins@gentoo.org</email>

4
app-portage/g-octave/metadata.xml

@ -1,10 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>rafaelmartins@gentoo.org</email>
<name>Rafael G. Martins</name>
</maintainer>
<maintainer type="project">
<email>sci-mathematics@gentoo.org</email>
<name>Gentoo Mathematics Project</name>

BIN
app-text/Manifest.gz

5
app-text/blogc/metadata.xml

@ -1,10 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>rafaelmartins@gentoo.org</email>
<name>Rafael G. Martins</name>
</maintainer>
<!-- maintainer-needed -->
<upstream>
<maintainer status="active">
<email>rafael@rafaelmartins.eng.br</email>

2
app-text/dvipng/dvipng-1.17.ebuild

@ -11,7 +11,7 @@ SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
LICENSE="LGPL-3+ Texinfo-manual"
SLOT="0"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
IUSE="truetype test"
RESTRICT="!test? ( test )"

93
app-text/highlight/highlight-3.57.ebuild

@ -1,93 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit qmake-utils toolchain-funcs
DESCRIPTION="Converts source code to formatted text (HTML, LaTeX, etc.) with syntax highlight"
HOMEPAGE="http://www.andre-simon.de/"
SRC_URI="http://www.andre-simon.de/zip/${P}.tar.bz2"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ppc ppc64 s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos"
IUSE="examples qt5"
RDEPEND="
dev-lang/lua:0=
qt5? (
dev-qt/qtcore:5
dev-qt/qtgui:5
dev-qt/qtwidgets:5
)
"
DEPEND="${RDEPEND}
dev-libs/boost
"
BDEPEND="
virtual/pkgconfig
qt5? ( dev-qt/linguist-tools:5 )
"
myhlopts=(
"CXX=$(tc-getCXX)"
"AR=$(tc-getAR)"
"LDFLAGS=${LDFLAGS}"
"CFLAGS=${CXXFLAGS} -DNDEBUG -std=c++11"
"DESTDIR=${D}"
"PREFIX=${EPREFIX}/usr"
"HL_CONFIG_DIR=${EPREFIX}/etc/highlight/"
"HL_DATA_DIR=${EPREFIX}/usr/share/highlight/"
"doc_dir=${EPREFIX}/usr/share/doc/${PF}/"
"conf_dir=${EPREFIX}/etc/highlight/"
)
src_prepare() {
default
# disable man page compression
sed -e "/GZIP/d" -i makefile || die
sed -e "/LSB_DOC_DIR/s:doc/${PN}:doc/${PF}:" \
-i src/core/datadir.cpp || die
if has_version "<dev-lang/lua-5.2"; then
sed -e "s/-DUSE_LUA52//" -i src/makefile || die
fi
# We set it via eqmake5, otherwise it forces clang...
sed -e "s/QMAKE_CC/#QMAKE_CC/g" \
-e "s/QMAKE_CXX /#QMAKE_CXX /g" \
-i src/gui-qt/highlight.pro || die
}
src_configure() {
if use qt5 ; then
pushd src/gui-qt > /dev/null || die
eqmake5 \
'DEFINES+=DATA_DIR=\\\"'"${EPREFIX}"'/usr/share/${PN}/\\\" CONFIG_DIR=\\\"'"${EPREFIX}"'/etc/${PN}/\\\" DOC_DIR=\\\"'"${EPREFIX}"'/usr/share/doc/${PF}/\\\"'
popd > /dev/null || die
fi
}
src_compile() {
emake -f makefile "${myhlopts[@]}"
if use qt5 ; then
pushd src/gui-qt > /dev/null || die
emake
popd > /dev/null || die
fi
}
src_install() {
emake -f makefile "${myhlopts[@]}" install
if use qt5; then
emake -f makefile "${myhlopts[@]}" install-gui
docompress -x /usr/share/doc/${PF}/{ChangeLog,COPYING,README,README_PLUGINS}
fi
if ! use examples ; then
rm -r "${ED}"/usr/share/doc/${PF}/extras || die
fi
}

5
app-text/peg-markdown/metadata.xml

@ -1,10 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>rafaelmartins@gentoo.org</email>
<name>Rafael G. Martins</name>
</maintainer>
<!-- maintainer-needed -->
<upstream>
<remote-id type="github">jgm/peg-markdown</remote-id>
</upstream>

BIN
dev-db/Manifest.gz

3
dev-db/percona-server/files/my.cnf-5.7

@ -0,0 +1,3 @@
# @GENTOO_PORTAGE_EPREFIX@/etc/mysql/my.cnf: The global mysql configuration file.
!includedir @GENTOO_PORTAGE_EPREFIX@/etc/mysql/mysql.d

2
dev-db/pgbouncer/pgbouncer-1.15.0.ebuild

@ -10,7 +10,7 @@ HOMEPAGE="https://www.pgbouncer.org/"
SRC_URI="https://www.pgbouncer.org/downloads/files/${PV}/pgbouncer-${PV}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 ~x86"
IUSE="+c-ares debug doc pam ssl systemd -udns"
# At-most-one-of, one can be enabled but not both

2
dev-db/pspg/pspg-3.1.5.ebuild

@ -9,7 +9,7 @@ SRC_URI="https://github.com/okbob/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 ~x86"
DEPEND="sys-libs/ncurses:*
dev-db/postgresql:=

164
dev-db/redis/redis-6.0.9-r100.ebuild

@ -0,0 +1,164 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
# Redis does NOT build with Lua 5.2 or newer at this time:
# - 5.3 and 5.4 give:
# lua_bit.c:83:2: error: #error "Unknown number type, check LUA_NUMBER_* in luaconf.h"
# - 5.2 fails with:
# scripting.c:(.text+0x1f9b): undefined reference to `lua_open'
# because lua_open became lua_newstate in 5.2
LUA_COMPAT=( lua5-1 luajit )
inherit autotools flag-o-matic lua-single systemd toolchain-funcs
DESCRIPTION="A persistent caching system, key-value and data structures database"
HOMEPAGE="https://redis.io"
SRC_URI="http://download.redis.io/releases/${P}.tar.gz"
LICENSE="BSD"
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~x86-macos ~x86-solaris"
IUSE="+jemalloc tcmalloc test"
RESTRICT="!test? ( test )"
SLOT="0"
COMMON_DEPEND="
${LUA_DEPS}
jemalloc? ( >=dev-libs/jemalloc-5.1:= )
tcmalloc? ( dev-util/google-perftools )
"
RDEPEND="
${COMMON_DEPEND}
acct-group/redis
acct-user/redis
"
BDEPEND="
${COMMON_DEPEND}
virtual/pkgconfig
"
# Tcl is only needed in the CHOST test env
DEPEND="
${COMMON_DEPEND}
test? ( dev-lang/tcl:0= )"
REQUIRED_USE="?? ( jemalloc tcmalloc )
${LUA_REQUIRED_USE}"
PATCHES=(
"${FILESDIR}"/${PN}-3.2.3-config.patch
"${FILESDIR}"/${PN}-5.0-shared.patch
"${FILESDIR}"/${PN}-6.0.9-sharedlua.patch
"${FILESDIR}"/${PN}-5.0.8-ppc-atomic.patch
"${FILESDIR}"/${PN}-sentinel-5.0-config.patch
)
src_prepare() {
default
# unstable on jemalloc
> tests/unit/memefficiency.tcl || die
# Copy lua modules into build dir
cp "${S}"/deps/lua/src/{fpconv,lua_bit,lua_cjson,lua_cmsgpack,lua_struct,strbuf}.c "${S}"/src || die
cp "${S}"/deps/lua/src/{fpconv,strbuf}.h "${S}"/src || die
# Append cflag for lua_cjson
# https://github.com/antirez/redis/commit/4fdcd213#diff-3ba529ae517f6b57803af0502f52a40bL61
append-cflags "-DENABLE_CJSON_GLOBAL"
# now we will rewrite present Makefiles
local makefiles="" MKF
for MKF in $(find -name 'Makefile' | cut -b 3-); do
mv "${MKF}" "${MKF}.in"
sed -i -e 's:$(CC):@CC@:g' \
-e 's:$(CFLAGS):@AM_CFLAGS@:g' \
-e 's: $(DEBUG)::g' \
-e 's:$(OBJARCH)::g' \
-e 's:ARCH:TARCH:g' \
-e '/^CCOPT=/s:$: $(LDFLAGS):g' \
"${MKF}.in" \
|| die "Sed failed for ${MKF}"
makefiles+=" ${MKF}"
done
# autodetection of compiler and settings; generates the modified Makefiles
cp "${FILESDIR}"/configure.ac-3.2 configure.ac || die
# Use the correct pkgconfig name for Lua.
# The upstream configure script handles luajit specially, and is not
# effected by these changes.
sed -i \
-e "/^AC_INIT/s|, [0-9].+, |, $PV, |" \
-e "s:AC_CONFIG_FILES(\[Makefile\]):AC_CONFIG_FILES([${makefiles}]):g" \
-e "/PKG_CHECK_MODULES.*\<LUA\>/s,lua5.1,${ELUA},g" \
configure.ac || die "Sed failed for configure.ac"
eautoreconf
}
src_configure() {
econf $(use_with lua_single_target_luajit luajit)
# Linenoise can't be built with -std=c99, see https://bugs.gentoo.org/451164
# also, don't define ANSI/c99 for lua twice
sed -i -e "s:-std=c99::g" deps/linenoise/Makefile deps/Makefile || die
}
src_compile() {
local myconf=""
if use jemalloc; then
myconf+="MALLOC=jemalloc"
elif use tcmalloc; then
myconf+="MALLOC=tcmalloc"
else
myconf+="MALLOC=libc"
fi
tc-export AR CC RANLIB
emake V=1 ${myconf} AR="${AR}" CC="${CC}" RANLIB="${RANLIB}"
}
src_test() {
# Known to fail with FEATURES=usersandbox
if has usersandbox ${FEATURES}; then
ewarn "You are emerging ${P} with 'usersandbox' enabled." \
"Expect some test failures or emerge with 'FEATURES=-usersandbox'!"
fi
emake check
}
src_install() {
insinto /etc/
doins redis.conf sentinel.conf
use prefix || fowners redis:redis /etc/{redis,sentinel}.conf
fperms 0644 /etc/{redis,sentinel}.conf
newconfd "${FILESDIR}/redis.confd-r1" redis
newinitd "${FILESDIR}/redis.initd-5" redis
systemd_newunit "${FILESDIR}/redis.service-3" redis.service
systemd_newtmpfilesd "${FILESDIR}/redis.tmpfiles-2" redis.conf
newconfd "${FILESDIR}/redis-sentinel.confd" redis-sentinel
newinitd "${FILESDIR}/redis-sentinel.initd" redis-sentinel
insinto /etc/logrotate.d/
newins "${FILESDIR}/${PN}.logrotate" ${PN}
dodoc 00-RELEASENOTES BUGS CONTRIBUTING MANIFESTO README.md
dobin src/redis-cli
dosbin src/redis-benchmark src/redis-server src/redis-check-aof src/redis-check-rdb
fperms 0750 /usr/sbin/redis-benchmark
dosym redis-server /usr/sbin/redis-sentinel
if use prefix; then
diropts -m0750
else
diropts -m0750 -o redis -g redis
fi
keepdir /var/{log,lib}/redis
}

BIN
dev-embedded/Manifest.gz

5
dev-embedded/cpik/metadata.xml

@ -1,10 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>rafaelmartins@gentoo.org</email>
<name>Rafael G. Martins</name>
</maintainer>
<!-- maintainer-needed -->
<longdescription lang="en">
CPIK (the C compiler for PIC18 devices) is released under the GPL licence.
CPIK is an easy to use, near ANSI C compiler which is fully integrated with

5
dev-embedded/nodemcu-uploader/metadata.xml

@ -1,10 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>